using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using SystemCommon;


namespace 顧客分析君
{
    public partial class _107メールサーバー設定 : Form
    {
        ////////////////////////////////////////////////////////////////////////
        // メンバ変数
        ////////////////////////////////////////////////////////////////////////
        #region メンバ変数
        #endregion


        ////////////////////////////////////////////////////////////////////////
        // 公開 共通メソッド 
        ////////////////////////////////////////////////////////////////////////
        #region 公開 共通メソッド

        public _107メールサーバー設定()
        {
            InitializeComponent();
        }

        #endregion


        ////////////////////////////////////////////////////////////////////////
        // 非公開 共通メソッド
        ////////////////////////////////////////////////////////////////////////
        #region 非公開 共通メソッド
        #endregion


        ////////////////////////////////////////////////////////////////////////
        // イベントハンドラ
        ////////////////////////////////////////////////////////////////////////
        #region イベントハンドラ

        private void _107メールサーバー設定_Load(object sender, EventArgs e)
        {
            try
            {
                txtSMTPサーバー.Text = Properties.Settings.Default.SMTPサーバー;
                txtSMTPサーバーのポート番号.Text = Properties.Settings.Default.SMTPサーバーのポート番号;
                txtユーザーID.Text = Properties.Settings.Default.ユーザーID;
                txtパスワード.Text = Properties.Settings.Default.パスワード;
            }
            catch (Exception ex)
            {
                C04システム共通.ErrorLog("_107メールサーバー設定", "_107メールサーバー設定_Load", ex);
            }
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            try
            {
                // エラーチェック
                if (txtSMTPサーバー.Text == "")
                {
                    MessageBox.Show("SMTPサーバー が入力されていません", Properties.Resources.MSG_TTL_入力エラー, MessageBoxButtons.OK, MessageBoxIcon.Warning);
                    return;
                }
                if (txtSMTPサーバーのポート番号.Text == "")
                {
                    MessageBox.Show("ポート番号 が入力されていません", Properties.Resources.MSG_TTL_入力エラー, MessageBoxButtons.OK, MessageBoxIcon.Warning);
                    return;
                }
                if (txtユーザーID.Text == "")
                {
                    MessageBox.Show("ユーザーID が入力されていません", Properties.Resources.MSG_TTL_入力エラー, MessageBoxButtons.OK, MessageBoxIcon.Warning);
                    return;
                }
                if (txtパスワード.Text == "")
                {
                    MessageBox.Show("パスワード が入力されていません", Properties.Resources.MSG_TTL_入力エラー, MessageBoxButtons.OK, MessageBoxIcon.Warning);
                    return;
                }

                if (DialogResult.Yes != MessageBox.Show(Properties.Resources.MSG_Q_入力した内容を登録しますか
                    , this.Text, MessageBoxButtons.YesNo, MessageBoxIcon.Question))
                    return;

                Properties.Settings.Default.SMTPサーバー = txtSMTPサーバー.Text;
                Properties.Settings.Default.SMTPサーバーのポート番号 = txtSMTPサーバーのポート番号.Text;
                Properties.Settings.Default.ユーザーID = txtユーザーID.Text;
                Properties.Settings.Default.パスワード = txtパスワード.Text;
                Properties.Settings.Default.メールサーバー設定 = C_メールサーバー設定.済み;
                Properties.Settings.Default.Save();

                //C02業務共通処理.Insert操作履歴(this.Text, Properties.Resources.OPRT_008);
				C02業務共通処理.Insert操作履歴(this.Text, Properties.Resources.OPRT_008);

                this.Close();
            }
            catch (Exception ex)
            {
                C04システム共通.ErrorLog("_107メールサーバー設定", "btnOK_Click", ex);
            }
        }

        private void btnキャンセル_Click(object sender, EventArgs e)
        {
            try
            {
                this.Close();
            }
            catch (Exception ex)
            {
                C04システム共通.ErrorLog("_107メールサーバー設定", "btnキャンセル_Click", ex);
            }
        }

        #endregion

    }
}
